﻿form {
    margin-top: 20px;
}

input.form-control, textarea {
    max-width: 100%;
}

textarea {
    resize: none;
}

.details {
    margin-top: 50px;
    margin-bottom: 50px;
}

.details-grid {
    display: grid;
    grid-auto-flow: column;
    justify-items: baseline;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: auto 1fr;
    grid-row-gap: 10px;
    grid-column-gap: 50px;
}

    .details-grid .group-size {
        display: flex;
        align-items: center;
        width: 100%;
    }
    
    .details-grid .group-size input {
        width: 50%;
    }

    .details-grid input {
        min-width: 80px;
    }

    .details-grid .d-flex {
        align-items: center;
    }

    .details-grid .font-size-larger {
        font-size: large;
    }

    .details-grid .fas {
        font-size: 30px;
        margin-right: 5px;
    }

#gallery .card-toggle {
    display: flex;
    align-items: center;
}

    #gallery .card-toggle i {
        font-size: 30px;
        margin-right: 10px;
    }


#gallery .images-container {
    display: grid;
    grid-template-columns: repeat(3, auto);
    grid-gap: 10px;
    grid-auto-flow: row dense;
}

    #gallery .images-container .deletable-image {
        width: 100%;
    }

#gallery .image-input-container input {
    display: block;
    margin: 5px 0;
}

fieldset.contact-info {
    margin-top: 80px;
}

.btn-container .btn {
    width: 120px;
    margin-top: 30px;
}

.deletable-image {
    position: relative;
    width: 400px;
    height: 300px;
    overflow: hidden;
}

    .deletable-image img {
        object-fit: cover;
        width: 100%;
        height: 100%;
    }

    .deletable-image .delete-image-btn {
        position: absolute;
        font-size: 32px;
        cursor: pointer;
        top: 5px;
        right: 5px;
        color: rgb(155, 155, 155);
        --shadow-color: rgba(0, 0, 0, 0.8);
        --shadow-spread: 4px;
        text-shadow: 1px 0 var(--shadow-spread) var(--shadow-color), -1px 0 var(--shadow-spread) var(--shadow-color), 0 1px var(--shadow-spread) var(--shadow-color), 0 -1px var(--shadow-spread) var(--shadow-color);
        opacity: 0.6;
    }

        .deletable-image .delete-image-btn:hover {
            color: rgb(180, 180, 180);
            --shadow-color: rgba(30, 30, 30, 0.9);
            --shadow-spread: 4px;
            text-shadow: 1px 0 var(--shadow-spread) var(--shadow-color), -1px 0 var(--shadow-spread) var(--shadow-color), 0 1px var(--shadow-spread) var(--shadow-color), 0 -1px var(--shadow-spread) var(--shadow-color), 0 0 var(--shadow-spread) var(--shadow-color);
            opacity: 0.9;
        }
